/* Auteur: Nicolas JANEY          */
/* nicolas.janey@univ-fcomte.fr   */
/* Avril 2005                     */

public class ApplicationCompteurs {

  public static void main(String [] args) {
    /* Instanciation de deux Compteur                     */
    /* le premier a la valeur pas defaut (0)              */
    /* le second a la valeur 100                          */
    Compteur c1 = new Compteur();
    Compteur c2 = new Compteur(100);
    /* Affichage des compteurs                            */
    System.out.println("Valeurs des compteurs");
    System.out.println(c1.valeur());
    System.out.println(c2.valeur());
    /* 10 incrementations de 1 du compteur c1             */
    for ( int i = 0 ; i < 10 ; i++ )
      c1.incrementer();
    /* 30 decrementations de 1 du compteur c2             */
    for ( int i = 0 ; i < 30 ; i++ )
      c2.decrementer();
    /* Nouvel affichage des valeurs des compteurs         */
    System.out.println("Nouvelles valeurs des compteurs");
    System.out.println(c1.valeur());
    System.out.println(c2.valeur());
  }
}